import request from '@/utils/request'

// 查询考场信息列表
export function listInfo(query) {
  return request({
    url: '/exam/info/list',
    method: 'get',
    params: query
  })
}

// 查询考场信息详细
export function getInfo(id) {
  return request({
    url: '/exam/info/' + id,
    method: 'get'
  })
}

// 新增考场信息
export function addInfo(data) {
  return request({
    url: '/exam/info',
    method: 'post',
    data: data
  })
}

// 修改考场信息
export function updateInfo(data) {
  return request({
    url: '/exam/info',
    method: 'put',
    data: data
  })
}

// 删除考场信息
export function delInfo(id) {
  return request({
    url: '/exam/info/' + id,
    method: 'delete'
  })
}

// 导出考场信息
export function exportInfo(query) {
  return request({
    url: '/exam/info/export',
    method: 'get',
    params: query
  })
}